using UnityEngine;
using System.Collections;

public class Controls : MonoBehaviour {
	
	public Collider spawnAreacollider;
	public Transform[] ball;
	
	public AudioSource audioSource;
	public AudioClip clipPlaceBall;
	
	private RaycastHit hit;
	private Ray ray;
	
	private int ballCache = 0;
	private int activeBall = 0;

	// Use this for initialization
	void Start () {
		ballCache = (ball.Length);
	}
	
	// Update is called once per frame
	void Update () {
		ray = Camera.main.ScreenPointToRay(new Vector3( Input.mousePosition.x, Input.mousePosition.y ));
		
		if(Input.GetMouseButtonDown(0)) {	
			if(spawnAreacollider.Raycast (ray, out hit, 100)) {
				
				ball[activeBall].position = new Vector3(hit.point.x, hit.point.y, 0.5f);
				ball[activeBall].rigidbody.isKinematic = false;
				ball[activeBall].collider.isTrigger = false;
				activeBall+=1;

				if(activeBall > ballCache-1) {
					activeBall = 0;//reset the loop
				}
				
				audioSource.PlayOneShot(clipPlaceBall);
			}
		}
	
	}
}
